%define name	apr_memcache
%define version 0.7.0

%define major 0
%define libname	%mklibname %{name} %{major}

Summary:	A client for memcached 
Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
License:	Apache License
Group:          System/Libraries
URL:		http://www.outoforder.cc/projects/libs/apr_memcache/
Source0:	http://www.outoforder.cc/downloads/apr_memcache/%{name}-%{version}.tar.bz2
#BuildRequires:	autoconf2.5
#BuildRequires:	automake1.7
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel >= 0.9.6-5mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
apr_memcache is a client for memcached written in C, using APR and
APR-Util. It provides pooled client connections and is thread
safe, making it perfect for use inside Apache Modules. 

%package -n	%{libname}
Summary:	A client for memcached 
Group: 		System/Libraries

%description -n	%{libname}
apr_memcache is a client for memcached written in C, using APR and
APR-Util. It provides pooled client connections and is thread
safe, making it perfect for use inside Apache Modules. 

%package -n	%{libname}-devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel %{name}-devel
Obsoletes:	lib%{name}-devel %{name}-devel

%description -n	%{libname}-devel
apr_memcache is a client for memcached written in C, using APR and
APR-Util. It provides pooled client connections and is thread
safe, making it perfect for use inside Apache Modules. 

This package contains development files for %{name}.

%prep

%setup -q

%build
#export WANT_AUTOCONF_2_5=1
#rm -f configure
#libtoolize --force --copy && aclocal-1.7 -I m4 && autoheader && automake-1.7 --add-missing --copy --foreign && autoconf

sh ./autogen.sh

#%%configure2_5x \
#    --enable-shared \
#    --enable-static \	      
#    --with-apr=%{_bindir}/apr-config \
#    --with-apr-util=%{_bindir}/apu-config

./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-shared \
    --enable-static \
    --with-apr=%{_bindir}/apr-config \
    --with-apr-util=%{_bindir}/apu-config
			      
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%doc LICENSE NOTICE test
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_includedir}/apr_memcache-0

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-3mdk
- rebuilt against new openldap-2.3.6 libs

* Fri Jun 17 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-2mdk
- rebuilt against new librpm

* Mon May 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdk
- 0.7.0
- drop the soname patch, it's implemented upstream

* Sat Mar 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.1-2mdk
- use the %%mkrel macro

* Sat Mar 19 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.1-1mdk
- initial package
